package cn.com.poc.common.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.common.model.SysErrorLogModel;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface SysErrorLogService extends BaseService {

    SysErrorLogModel get(java.lang.Integer id) throws Exception;
    
    List<SysErrorLogModel> findByExample(SysErrorLogModel example,PagingInfo pagingInfo) throws Exception;
    
    void delete(SysErrorLogModel model) throws Exception;
    
    void deleteById(java.lang.Integer id) throws Exception;
    
    void deleteAll(Collection<java.lang.Integer> ids) throws Exception;
    
    SysErrorLogModel save(SysErrorLogModel model) throws Exception;
    
    Collection<SysErrorLogModel> saveAll(Collection<SysErrorLogModel> models) throws Exception;
    
}